com.aventstack.extentreports

## Class ExtentTest

- java.lang.Object
- - com.aventstack.extentreports.ExtentTest

- All Implemented Interfaces:
    IAddsMedia<ExtentTest>, RunResult, Serializable

      public class ExtentTest
      extends Object
      implements IAddsMedia<ExtentTest>, RunResult, Serializable

  Defines a test. You can add logs, snapshots, assign author and categories to a test and its children.

  The below log types will all be logged with `Status.PASS`:

       test.log(Status.PASS, "details");
       test.pass("details");
       test.pass(MarkupHelper.createCodeBlock(code));

  A few notes:

  - Tests started with the `createTest` method are parent-level, always level 0
  - Tests started with the `createNode` method are children, always level 1 and greater
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtentTest` | `addScreenCaptureFromPath(String imagePath)` Adds a snapshot to test or log
    `ExtentTest` | `addScreenCaptureFromPath(String imagePath, String title)` Adds a snapshot to the test or log with title
    `ExtentTest` | `addScreencastFromPath(String screencastPath)` Adds a screencast to test or log
    `ExtentTest` | `assignAuthor(String... author)` Assigns an author
    `ExtentTest` | `assignCategory(String... category)` Assigns a category or group
    `ExtentTest` | `assignDevice(String... device)` Assign a device
    `ExtentTest` | `createNode(Class<? extends IGherkinFormatterModel> type, String name)` Creates a BDD-style node representing one of the `IGherkinFormatterModel` classes such as: `Feature` `Background` `Scenario` `Given` `When` `Then` `And`
    `ExtentTest` | `createNode(Class<? extends IGherkinFormatterModel> type, String name, String description)` Creates a BDD-style node with description representing one of the `IGherkinFormatterModel` classes: `Feature` `Background` `Scenario` `Given` `When` `Then` `And`
    `ExtentTest` | `createNode(GherkinKeyword gherkinKeyword, String name)` Creates a BDD-style node using name of the Gherkin model such as: `Feature` `Background` `Scenario` `Given` `When` `Then` `And`
    `ExtentTest` | `createNode(GherkinKeyword gherkinKeyword, String name, String description)` Creates a BDD-style node with description using name of the Gherkin model such as: `Feature` `Background` `Scenario` `Given` `When` `Then` `And`
    `ExtentTest` | `createNode(String name)` Creates a node
    `ExtentTest` | `createNode(String name, String description)` Creates a node with description
    `ExtentTest` | `debug(Markup m)` Logs an event with `Status.DEBUG` and custom `Markup` such as: Code block Label Table
    `ExtentTest` | `debug(String details)` Logs an event `Status.DEBUG` with details
    `ExtentTest` | `debug(String details, MediaEntityModelProvider provider)` Logs an `Status.DEBUG` event with an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `debug(Throwable t)` Logs an event with `Status.SKIP` and exception
    `ExtentTest` | `debug(Throwable t, MediaEntityModelProvider provider)` Logs an `Status.DEBUG` event with an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `error(Markup m)` Logs an event with `Status.ERROR` and custom `Markup` such as: Code block Label Table
    `ExtentTest` | `error(String details)` Logs an event `Status.ERROR` with details
    `ExtentTest` | `error(String details, MediaEntityModelProvider provider)` Logs an `Status.ERROR` event with an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `error(Throwable t)` Logs an event with `Status.ERROR` and exception
    `ExtentTest` | `error(Throwable t, MediaEntityModelProvider provider)` Logs an `Status.ERROR` event with an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `fail(Markup m)` Logs an event with `Status.FAIL` and custom `Markup` such as: Code block Label Table
    `ExtentTest` | `fail(String details)` Logs an event `Status.FAIL` with details
    `ExtentTest` | `fail(String details, MediaEntityModelProvider provider)` Logs an `Status.FAIL` event with details and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `fail(Throwable t)` Logs an event with `Status.FAIL` and exception
    `ExtentTest` | `fail(Throwable t, MediaEntityModelProvider provider)` Logs an `Status.FAIL` event with an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `fatal(Markup m)` Logs an event with `Status.FATAL` and custom `Markup` such as: Code block Label Table
    `ExtentTest` | `fatal(String details)` Logs an event `Status.FATAL` with details
    `ExtentTest` | `fatal(String details, MediaEntityModelProvider provider)` Logs an `Status.DATAL` event with an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `fatal(Throwable t)` Logs an event with `Status.FATAL` and exception
    `ExtentTest` | `fatal(Throwable t, MediaEntityModelProvider provider)` Logs an `Status.FATAL` event with an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentReports` | `getExtent()` Returns the `ExtentReports` instance associated with this test
    `Test` | `getModel()` Returns the underlying test which controls the internal model
    `Status` | `getStatus()` Provides the current run status of the test or node
    `ExtentTest` | `info(Markup m)` Logs an event with `Status.INFO` and custom `Markup` such as: Code block Label Table
    `ExtentTest` | `info(String details)` Logs an event with `Status.INFO` with details
    `ExtentTest` | `info(String details, MediaEntityModelProvider provider)` Logs an `Status.INFO` event with details and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `info(Throwable t)` Logs an event with `Status.INFO` and exception
    `ExtentTest` | `info(Throwable t, MediaEntityModelProvider provider)` Logs an `Status.INFO` event with an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `log(Status status, Markup markup)` Logs an event with `Status` and custom `Markup` such as: Code block Label Table
    `ExtentTest` | `log(Status status, String details)` Logs an event with `Status` and details
    `ExtentTest` | `log(Status status, String details, MediaEntityModelProvider provider)` Logs an event with `Status`, details and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `log(Status status, Throwable t)` Logs an event with `Status` and exception
    `ExtentTest` | `log(Status status, Throwable t, MediaEntityModelProvider provider)` Logs an event with `Status`, an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `pass(Markup m)` Logs an event with `Status.PASS` and custom `Markup` such as: Code block Label Table
    `ExtentTest` | `pass(String details)` Logs an event `Status.PASS` with details
    `ExtentTest` | `pass(String details, MediaEntityModelProvider provider)` Logs an `Status.PASS` event with details and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `pass(Throwable t)` Logs an event with `Status.PASS` and exception
    `ExtentTest` | `pass(Throwable t, MediaEntityModelProvider provider)` Logs an `Status.PASS` event with an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `skip(Markup m)` Logs an event with `Status.SKIP` and custom `Markup` such as: Code block Label Table
    `ExtentTest` | `skip(String details)` Logs an event `Status.SKIP` with details
    `ExtentTest` | `skip(String details, MediaEntityModelProvider provider)`
    `ExtentTest` | `skip(Throwable t)` Logs an event with `Status.SKIP` and exception
    `ExtentTest` | `skip(Throwable t, MediaEntityModelProvider provider)` Logs an `Status.SKIP` event with an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `warning(Markup m)` Logs an event with `Status.WARNING` and custom `Markup` such as: Code block Label Table
    `ExtentTest` | `warning(String details)` Logs an event `Status.WARNING` with details
    `ExtentTest` | `warning(String details, MediaEntityModelProvider provider)` Logs an `Status.WARNING` event with an exception and a media object: `Screencast` or `ScreenCapture`
    `ExtentTest` | `warning(Throwable t)` Logs an event with `Status.WARNING` and exception
    `ExtentTest` | `warning(Throwable t, MediaEntityModelProvider provider)` Logs an `Status.WARNING` event with an exception and a media object: `Screencast` or `ScreenCapture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createNode

          public ExtentTest createNode(Class<? extends IGherkinFormatterModel> type,
                                       String name,
                                       String description)

      Creates a BDD-style node with description representing one of the `IGherkinFormatterModel` classes:
      - `Feature`
      - `Background`
      - `Scenario`
      - `Given`
      - `When`
      - `Then`
      - `And`

      Example:

           test.createNode(Scenario.class, "bddNode", "description");

      Parameters:
        `type` - A `IGherkinFormatterModel` type
        `name` - Name of node
        `description` - A short description
      Returns:
        `ExtentTest` object

    - #### createNode

          public ExtentTest createNode(String name,
                                       String description)

      Creates a node with description
      Parameters:
        `name` - Name of node
        `description` - A short description
      Returns:
        `ExtentTest` object

    - #### createNode

          public ExtentTest createNode(Class<? extends IGherkinFormatterModel> type,
                                       String name)

      Creates a BDD-style node representing one of the `IGherkinFormatterModel` classes such as:
      - `Feature`
      - `Background`
      - `Scenario`
      - `Given`
      - `When`
      - `Then`
      - `And`

      Example:

           test.createNode(Scenario.class, "bddNode");

      Parameters:
        `type` - A `IGherkinFormatterModel` type
        `name` - Name of node
      Returns:
        `ExtentTest` object

    - #### createNode

          public ExtentTest createNode(GherkinKeyword gherkinKeyword,
                                       String name,
                                       String description)

      Creates a BDD-style node with description using name of the Gherkin model such as:
      - `Feature`
      - `Background`
      - `Scenario`
      - `Given`
      - `When`
      - `Then`
      - `And`

      Example:

           test.createNode(new GherkinKeyword("Scenario"), "bddTest", "description");

      Parameters:
        `gherkinKeyword` - Name of the `GherkinKeyword`
        `name` - Name of node
        `description` - A short description
      Returns:
        `ExtentTest`

    - #### createNode

          public ExtentTest createNode(GherkinKeyword gherkinKeyword,
                                       String name)

      Creates a BDD-style node using name of the Gherkin model such as:
      - `Feature`
      - `Background`
      - `Scenario`
      - `Given`
      - `When`
      - `Then`
      - `And`

      Example:

           test.createNode(new GherkinKeyword("Scenario"), "bddTest");

      Parameters:
        `gherkinKeyword` - Name of the `GherkinKeyword`
        `name` - Name of node
      Returns:
        `ExtentTest` object

    - #### createNode

          public ExtentTest createNode(String name)

      Creates a node
      Parameters:
        `name` - Name of node
      Returns:
        `ExtentTest` object

    - #### log

          public ExtentTest log(Status status,
                                String details,
                                MediaEntityModelProvider provider)

      Logs an event with `Status`, details and a media object: `Screencast` or `ScreenCapture`

      Example:

           test.log(Status.FAIL, "details", MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `status` - `Status`
        `details` - Details
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### log

          public ExtentTest log(Status status,
                                String details)

      Logs an event with `Status` and details
      Parameters:
        `status` - `Status`
        `details` - Details
      Returns:
        An `ExtentTest` object

    - #### log

          public ExtentTest log(Status status,
                                Markup markup)

      Logs an event with `Status` and custom `Markup` such as:
      - Code block
      - Label
      - Table
      Parameters:
        `status` - `Status`
        `markup` - `Markup`
      Returns:
        An `ExtentTest` object

    - #### log

          public ExtentTest log(Status status,
                                Throwable t,
                                MediaEntityModelProvider provider)

      Logs an event with `Status`, an exception and a media object: `Screencast` or `ScreenCapture`

      Example:

           Exception exception = new NullPointerException();
           test.log(Status.FAIL, exception, MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `status` - `Status`
        `t` - `Throwable`
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### log

          public ExtentTest log(Status status,
                                Throwable t)

      Logs an event with `Status` and exception
      Parameters:
        `status` - `Status`
        `t` - `Throwable`
      Returns:
        An `ExtentTest` object

    - #### info

          public ExtentTest info(String details,
                                 MediaEntityModelProvider provider)

      Logs an `Status.INFO` event with details and a media object: `Screencast` or `ScreenCapture`

      Example:

           test.info("details", MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `details` - Details
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### info

          public ExtentTest info(String details)

      Logs an event with `Status.INFO` with details
      Parameters:
        `details` - Details
      Returns:
        `ExtentTest` object

    - #### info

          public ExtentTest info(Throwable t,
                                 MediaEntityModelProvider provider)

      Logs an `Status.INFO` event with an exception and a media object: `Screencast` or `ScreenCapture`

      Example:

           Exception exception = new NullPointerException();
           test.info(exception, MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `t` - `Throwable`
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### info

          public ExtentTest info(Throwable t)

      Logs an event with `Status.INFO` and exception
      Parameters:
        `t` - `Throwable`
      Returns:
        `ExtentTest` object

    - #### info

          public ExtentTest info(Markup m)

      Logs an event with `Status.INFO` and custom `Markup` such as:
      - Code block
      - Label
      - Table
      Parameters:
        `m` - `Markup`
      Returns:
        `ExtentTest` object

    - #### pass

          public ExtentTest pass(String details,
                                 MediaEntityModelProvider provider)

      Logs an `Status.PASS` event with details and a media object: `Screencast` or `ScreenCapture`

      Example:

           test.pass("details", MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `details` - Details
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### pass

          public ExtentTest pass(String details)

      Logs an event `Status.PASS` with details
      Parameters:
        `details` - Details
      Returns:
        `ExtentTest` object

    - #### pass

          public ExtentTest pass(Throwable t,
                                 MediaEntityModelProvider provider)

      Logs an `Status.PASS` event with an exception and a media object: `Screencast` or `ScreenCapture`

      Example:

           Exception exception = new NullPointerException();
           test.pass(exception, MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `t` - `Throwable`
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### pass

          public ExtentTest pass(Throwable t)

      Logs an event with `Status.PASS` and exception
      Parameters:
        `t` - `Throwable`
      Returns:
        An `ExtentTest` object

    - #### pass

          public ExtentTest pass(Markup m)

      Logs an event with `Status.PASS` and custom `Markup` such as:
      - Code block
      - Label
      - Table
      Parameters:
        `m` - `Markup`
      Returns:
        An `ExtentTest` object

    - #### fail

          public ExtentTest fail(String details,
                                 MediaEntityModelProvider provider)

      Logs an `Status.FAIL` event with details and a media object: `Screencast` or `ScreenCapture`
      Parameters:
        `details` - Details
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### fail

          public ExtentTest fail(String details)

      Logs an event `Status.FAIL` with details
      Parameters:
        `details` - Details
      Returns:
        `ExtentTest` object

    - #### fail

          public ExtentTest fail(Throwable t,
                                 MediaEntityModelProvider provider)

      Logs an `Status.FAIL` event with an exception and a media object: `Screencast` or `ScreenCapture`

      Example:

           Exception exception = new NullPointerException();
           test.fail(exception, MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `t` - `Throwable`
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### fail

          public ExtentTest fail(Throwable t)

      Logs an event with `Status.FAIL` and exception
      Parameters:
        `t` - `Throwable`
      Returns:
        `ExtentTest` object

    - #### fail

          public ExtentTest fail(Markup m)

      Logs an event with `Status.FAIL` and custom `Markup` such as:
      - Code block
      - Label
      - Table
      Parameters:
        `m` - `Markup`
      Returns:
        `ExtentTest` object

    - #### fatal

          public ExtentTest fatal(String details,
                                  MediaEntityModelProvider provider)

      Logs an `Status.DATAL` event with an exception and a media object: `Screencast` or `ScreenCapture`
      Parameters:
        `details` - Details
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### fatal

          public ExtentTest fatal(String details)

      Logs an event `Status.FATAL` with details
      Parameters:
        `details` - Details
      Returns:
        An `ExtentTest` object

    - #### fatal

          public ExtentTest fatal(Throwable t,
                                  MediaEntityModelProvider provider)

      Logs an `Status.FATAL` event with an exception and a media object: `Screencast` or `ScreenCapture`

      Example:

           Exception exception = new NullPointerException();
           test.fatal(exception, MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `t` - `Throwable`
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### fatal

          public ExtentTest fatal(Throwable t)

      Logs an event with `Status.FATAL` and exception
      Parameters:
        `t` - `Throwable`
      Returns:
        `ExtentTest` object

    - #### fatal

          public ExtentTest fatal(Markup m)

      Logs an event with `Status.FATAL` and custom `Markup` such as:
      - Code block
      - Label
      - Table
      Parameters:
        `m` - `Markup`
      Returns:
        An `ExtentTest` object

    - #### warning

          public ExtentTest warning(String details,
                                    MediaEntityModelProvider provider)

      Logs an `Status.WARNING` event with an exception and a media object: `Screencast` or `ScreenCapture`
      Parameters:
        `details` - Details
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### warning

          public ExtentTest warning(String details)

      Logs an event `Status.WARNING` with details
      Parameters:
        `details` - Details
      Returns:
        `ExtentTest` object

    - #### warning

          public ExtentTest warning(Throwable t,
                                    MediaEntityModelProvider provider)

      Logs an `Status.WARNING` event with an exception and a media object: `Screencast` or `ScreenCapture`

      Example:

           Exception exception = new NullPointerException();
           test.warning(exception, MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `t` - `Throwable`
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### warning

          public ExtentTest warning(Throwable t)

      Logs an event with `Status.WARNING` and exception
      Parameters:
        `t` - `Throwable`
      Returns:
        `ExtentTest` object

    - #### warning

          public ExtentTest warning(Markup m)

      Logs an event with `Status.WARNING` and custom `Markup` such as:
      - Code block
      - Label
      - Table
      Parameters:
        `m` - `Markup`
      Returns:
        An `ExtentTest` object

    - #### error

          public ExtentTest error(String details,
                                  MediaEntityModelProvider provider)

      Logs an `Status.ERROR` event with an exception and a media object: `Screencast` or `ScreenCapture`
      Parameters:
        `details` - Details
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### error

          public ExtentTest error(String details)

      Logs an event `Status.ERROR` with details
      Parameters:
        `details` - Details
      Returns:
        `ExtentTest` object

    - #### error

          public ExtentTest error(Throwable t,
                                  MediaEntityModelProvider provider)

      Logs an `Status.ERROR` event with an exception and a media object: `Screencast` or `ScreenCapture`

      Example:

           Exception exception = new NullPointerException();
           test.error(exception, MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `t` - `Throwable`
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### error

          public ExtentTest error(Throwable t)

      Logs an event with `Status.ERROR` and exception
      Parameters:
        `t` - `Throwable`
      Returns:
        `ExtentTest` object

    - #### error

          public ExtentTest error(Markup m)

      Logs an event with `Status.ERROR` and custom `Markup` such as:
      - Code block
      - Label
      - Table
      Parameters:
        `m` - `Markup`
      Returns:
        `ExtentTest` object

    - #### skip

          public ExtentTest skip(String details,
                                 MediaEntityModelProvider provider)

      Parameters:
        `details` - Details
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### skip

          public ExtentTest skip(String details)

      Logs an event `Status.SKIP` with details
      Parameters:
        `details` - Details
      Returns:
        `ExtentTest` object

    - #### skip

          public ExtentTest skip(Throwable t,
                                 MediaEntityModelProvider provider)

      Logs an `Status.SKIP` event with an exception and a media object: `Screencast` or `ScreenCapture`

      Example:

           Exception exception = new NullPointerException();
           test.skip(exception, MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `t` - `Throwable`
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### skip

          public ExtentTest skip(Throwable t)

      Logs an event with `Status.SKIP` and exception
      Parameters:
        `t` - `Throwable`
      Returns:
        `ExtentTest` object

    - #### skip

          public ExtentTest skip(Markup m)

      Logs an event with `Status.SKIP` and custom `Markup` such as:
      - Code block
      - Label
      - Table
      Parameters:
        `m` - `Markup`
      Returns:
        `ExtentTest` object

    - #### debug

          public ExtentTest debug(String details,
                                  MediaEntityModelProvider provider)

      Logs an `Status.DEBUG` event with an exception and a media object: `Screencast` or `ScreenCapture`
      Parameters:
        `details` - Details
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### debug

          public ExtentTest debug(String details)

      Logs an event `Status.DEBUG` with details
      Parameters:
        `details` - Details
      Returns:
        `ExtentTest` object

    - #### debug

          public ExtentTest debug(Throwable t,
                                  MediaEntityModelProvider provider)

      Logs an `Status.DEBUG` event with an exception and a media object: `Screencast` or `ScreenCapture`

      Example:

           Exception exception = new NullPointerException();
           test.debug(exception, MediaEntityBuilder.createScreenCaptureFromPath("screen.png").build());

      Parameters:
        `t` - `Throwable`
        `provider` - A `MediaEntityModelProvider` object
      Returns:
        An `ExtentTest` object

    - #### debug

          public ExtentTest debug(Throwable t)

      Logs an event with `Status.SKIP` and exception
      Parameters:
        `t` - `Throwable`
      Returns:
        `ExtentTest` object

    - #### debug

          public ExtentTest debug(Markup m)

      Logs an event with `Status.DEBUG` and custom `Markup` such as:
      - Code block
      - Label
      - Table
      Parameters:
        `m` - `Markup`
      Returns:
        `ExtentTest` object

    - #### assignCategory

          public ExtentTest assignCategory(String... category)

      Assigns a category or group
      Parameters:
        `category` - Category name
      Returns:
        `ExtentTest` object

    - #### assignAuthor

          public ExtentTest assignAuthor(String... author)

      Assigns an author
      Parameters:
        `author` - Author name
      Returns:
        `ExtentTest` object

    - #### assignDevice

          public ExtentTest assignDevice(String... device)

      Assign a device
      Parameters:
        `device` - Device name
      Returns:
        `ExtentTest` object

    - #### addScreenCaptureFromPath

          public ExtentTest addScreenCaptureFromPath(String imagePath,
                                                     String title)
                                              throws IOException

      Description copied from interface: `IAddsMedia`
      Adds a snapshot to the test or log with title
      Specified by:
        `addScreenCaptureFromPath` in interface `IAddsMedia<ExtentTest>`
      Parameters:
        `imagePath` - Image path
        `title` - Image title
      Returns:
        Object this method is called from, generally `ExtentTest` or `Log`
      Throws:
        `IOException` - thrown if the `imagePath` of image is not found

    - #### addScreenCaptureFromPath

          public ExtentTest addScreenCaptureFromPath(String imagePath)
                                              throws IOException

      Description copied from interface: `IAddsMedia`
      Adds a snapshot to test or log
      Specified by:
        `addScreenCaptureFromPath` in interface `IAddsMedia<ExtentTest>`
      Parameters:
        `imagePath` - Image path
      Returns:
        Object this method is called from, generally `ExtentTest` or `Log`
      Throws:
        `IOException` - thrown if the `imagePath` of image is not found

    - #### addScreencastFromPath

          public ExtentTest addScreencastFromPath(String screencastPath)
                                           throws IOException

      Description copied from interface: `IAddsMedia`
      Adds a screencast to test or log
      Specified by:
        `addScreencastFromPath` in interface `IAddsMedia<ExtentTest>`
      Parameters:
        `screencastPath` - Screencast path
      Returns:
        Object this method is called from, generally `ExtentTest` or `Log`
      Throws:
        `IOException` - thrown if the `screencastPath` of image is not found

    - #### getStatus

          public Status getStatus()

      Provides the current run status of the test or node
      Specified by:
        `getStatus` in interface `RunResult`
      Returns:
        `Status`

    - #### getModel

          public Test getModel()

      Returns the underlying test which controls the internal model
      Returns:
        `Test` object

    - #### getExtent

          public ExtentReports getExtent()

      Returns the `ExtentReports` instance associated with this test
      Returns:
        the `ExtentReports` instance associated with this test

Copyright © 2018. All rights reserved.